Subject: [P2PSIP] Stephen Farrell's No Objection on draft-ietf-p2psip-sip-20: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Tue, 19 Apr 2016 14:05:36 -0700

Stephen Farrell has entered the following ballot position for
draft-ietf-p2psip-sip-20: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-p2psip-sip/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

- 5.1: I guess it's too late to ask, but I'll ask
anyway, just in case this hasn't yet been implemented
and it's not too late... I can see why you want to
support SIP URIs and can't e.g. only support SIPS URIs
here.  But in supporting SIP URIs couldn't you have
taken an opportunistic security approach to using TLS
and e.g. maybe treated a SIP URI as if it's a SIPS URI
except for the certificate validation step? I do get
that that might restrict re-use of unmodified SIPS
stacks but maybe that'd be ok in this context. Any
chance of considering that or is it too late or a case
where there's not enough energy/interest?  (EIther form
of "no" is a very reasonable answer.)

- Just out of curiosity, are folks deploying this
anywhere?